Name: alt-entities
Version: 0.3
Release: alt1
Group: Publishing

Summary: XML Entities for ALT Linux Documentation Project

License: Distributable
Url: http://docs.altlinux.ru

PreReq: xml-common xml-utils

Source0: http://docs.altlinux.ru/%name-%version.tar.bz2

BuildArch: noarch

%define xmlconfdir	%_sysconfdir/xml
%define altentdir       %_datadir/xml/alt-entities      
%define catalog         %xmlconfdir/catalog

%description
XML entities for ALT Linux Documentation Project, 
used for making documentation in DocBook/XML format.

%description -l ru_RU.CP1251
XML entities (, ),    
ALT Linux Documentation     
DocBook/XML.


%prep
%setup

%build

%install

mkdir -p $RPM_BUILD_ROOT%altentdir
%__cp -r ru persons $RPM_BUILD_ROOT%altentdir
%__cp catalog.xml $RPM_BUILD_ROOT%altentdir

%files
%doc README ChangeLog
%altentdir

%post
if [ $1 = 1 ] ; then
/usr/bin/xmlcatalog --noout --add "nextCatalog" \
        "file://%altentdir/catalog.xml" \
        "" \
        %catalog ||:
fi

%postun
if [ $1 = "0" ] ; then
/usr/bin/xmlcatalog --noout --del \
	"file://%altentdir/catalog.xml" \
        %catalog ||:
fi

%triggerpostun -- alt-entities = 0.1-alt1
/usr/bin/xmlcatalog --noout --add "nextCatalog" \
        "file://%altentdir/catalog.xml" \
        "" \
        %catalog ||:

%triggerpostun -- alt-entities = 0.2-alt3
/usr/bin/xmlcatalog --noout --del \
	"file://%altentdir/catalog.xml" \
        %catalog ||:
/usr/bin/xmlcatalog --noout --add "nextCatalog" \
        "file://%altentdir/catalog.xml" \
        "" \
        %catalog ||:

%changelog
* Wed Feb 12 2003 Vyt <vyt@altlinux.ru> 0.3-alt1
- 0.3 (added persons.xml and dtd)
- Moved to 'nextCatalog' catalogs resolution

* Fri Jan 24 2003 Vyt <vyt@altlinux.ru> 0.2-alt3
- Fixed numbering in changelog

* Fri Nov 29 2002 Vyt <vyt@altlinux.ru> 0.2-alt2
- added triggerpostun script (thanks to Sergey Vlasov). 
  Now update worked automatically

* Thu Nov 28 2002 Vyt <vyt@altlinux.ru> 0.2-alt1
- 0.2 (added keys.ent)
- fixed postun script (thanks to Alexander Bokovoy). 
  For update from 0.1-alt1 you should reinstall 0.2-alt1 after update :(

* Wed Sep 19 2002 Vyt <vyt@altlinux.ru> 0.1-alt1
- 0.1
- First build for Sisyphus
